Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/hydrol.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/hydrol.f90	(revision 6594)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/hydrol.f90	(revision 6954)
@@ -5223,5 +5156,5 @@
 !_ hydrol_soil_smooth_under_mcr
 
-  SUBROUTINE hydrol_soil_smooth_under_mcr(kjpindex, ins, njsc, is_under_mcr, check)
+  SUBROUTINE hydrol_soil_smooth_under_mcr(mcr, kjpindex, ins, njsc, is_under_mcr, check)
 
     !- arguments
@@ -5231,4 +5164,6 @@
     !! 0.1 Input variables
 
+    !salma: added parameter mcr
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)      :: mcr          !! Residual volumetric water content (m^{3} m^{-3})
     INTEGER(i_std), INTENT(in)                         :: kjpindex     !! Domain size
     INTEGER(i_std), INTENT(in)                         :: ins          !! Soiltile index (1-nstm, unitless)
@@ -5268,5 +5203,5 @@
     DO jsl = 1,nslm-2
        DO ji=1, kjpindex
-          excess = MAX(mcr(njsc(ji))-mc(ji,jsl,ins),zero)
+          excess = MAX(mcr(ji)-mc(ji,jsl,ins),zero)
           mc(ji,jsl,ins) = mc(ji,jsl,ins) + excess
           mc(ji,jsl+1,ins) = mc(ji,jsl+1,ins) - excess * &
@@ -5277,5 +5212,5 @@
     jsl = nslm-1
     DO ji=1, kjpindex
-       excess = MAX(mcr(njsc(ji))-mc(ji,jsl,ins),zero)
+       excess = MAX(mcr(ji)-mc(ji,jsl,ins),zero)
        mc(ji,jsl,ins) = mc(ji,jsl,ins) + excess
        mc(ji,jsl+1,ins) = mc(ji,jsl+1,ins) - excess * &
@@ -5285,5 +5220,5 @@
     jsl = nslm
     DO ji=1, kjpindex
-       excess = MAX(mcr(njsc(ji))-mc(ji,jsl,ins),zero)
+       excess = MAX(mcr(ji)-mc(ji,jsl,ins),zero)
        mc(ji,jsl,ins) = mc(ji,jsl,ins) + excess
        mc(ji,jsl-1,ins) = mc(ji,jsl-1,ins) - excess * &
@@ -5294,5 +5229,5 @@
     DO jsl = nslm-1,2,-1
        DO ji=1, kjpindex
-          excess = MAX(mcr(njsc(ji))-mc(ji,jsl,ins),zero)
+          excess = MAX(mcr(ji)-mc(ji,jsl,ins),zero)
           mc(ji,jsl,ins) = mc(ji,jsl,ins) + excess
           mc(ji,jsl-1,ins) = mc(ji,jsl-1,ins) - excess * &
@@ -5304,5 +5239,5 @@
     ! excess > 0
     DO ji=1, kjpindex
-       excessji(ji) = mask_soiltile(ji,ins) * MAX(mcr(njsc(ji))-mc(ji,1,ins),zero)
+       excessji(ji) = mask_soiltile(ji,ins) * MAX(mcr(ji)-mc(ji,1,ins),zero)
     ENDDO
     DO ji=1, kjpindex
@@ -5380,5 +5315,5 @@
 !_ hydrol_soil_smooth_over_mcs
 
-  SUBROUTINE hydrol_soil_smooth_over_mcs(kjpindex, ins, njsc, is_over_mcs, rudr_corr, check)
+  SUBROUTINE hydrol_soil_smooth_over_mcs(mcs ,kjpindex, ins, njsc, is_over_mcs, rudr_corr, check)
 
     !- arguments
@@ -5386,6 +5321,7 @@
     !! 0. Variable and parameter declaration
 
-    !! 0.1 Input variables
-
+    !! 0.1 Input variables 
+    !salma: added mcs
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)        :: mcs             !! Saturated volumetric water content (m^{3} m^{-3})
     INTEGER(i_std), INTENT(in)                           :: kjpindex        !! Domain size
     INTEGER(i_std), INTENT(in)                           :: ins             !! Soiltile index (1-nstm, unitless)
@@ -5425,5 +5361,5 @@
     DO jsl = 1, nslm-2
        DO ji=1, kjpindex
-          excess = MAX(mc(ji,jsl,ins)-mcs(njsc(ji)),zero)
+          excess = MAX(mc(ji,jsl,ins)-mcs(ji),zero)
           mc(ji,jsl,ins) = mc(ji,jsl,ins) - excess
           mc(ji,jsl+1,ins) = mc(ji,jsl+1,ins) + excess * &
@@ -5434,5 +5370,5 @@
     jsl = nslm-1
     DO ji=1, kjpindex
-       excess = MAX(mc(ji,jsl,ins)-mcs(njsc(ji)),zero)
+       excess = MAX(mc(ji,jsl,ins)-mcs(ji),zero)
        mc(ji,jsl,ins) = mc(ji,jsl,ins) - excess
        mc(ji,jsl+1,ins) = mc(ji,jsl+1,ins) + excess * &
@@ -5442,5 +5378,5 @@
     jsl = nslm
     DO ji=1, kjpindex
-       excess = MAX(mc(ji,jsl,ins)-mcs(njsc(ji)),zero)
+       excess = MAX(mc(ji,jsl,ins)-mcs(ji),zero)
        mc(ji,jsl,ins) = mc(ji,jsl,ins) - excess
        mc(ji,jsl-1,ins) = mc(ji,jsl-1,ins) + excess * &
@@ -5451,5 +5387,5 @@
     DO jsl = nslm-1,2,-1
        DO ji=1, kjpindex
-          excess = MAX(mc(ji,jsl,ins)-mcs(njsc(ji)),zero)
+          excess = MAX(mc(ji,jsl,ins)-mcs(ji),zero)
           mc(ji,jsl,ins) = mc(ji,jsl,ins) - excess
           mc(ji,jsl-1,ins) = mc(ji,jsl-1,ins) + excess * &
@@ -5461,5 +5397,5 @@
 
     DO ji=1, kjpindex
-       excess = mask_soiltile(ji,ins) * MAX(mc(ji,1,ins)-mcs(njsc(ji)),zero)
+       excess = mask_soiltile(ji,ins) * MAX(mc(ji,1,ins)-mcs(ji),zero)
        mc(ji,1,ins) = mc(ji,1,ins) - excess ! then mc(1)=mcs
        rudr_corr(ji,ins) = rudr_corr(ji,ins) + excess * dz(2) / deux 
@@ -5512,5 +5448,5 @@
 !_ hydrol_soil_smooth_over_mcs2
 
-  SUBROUTINE hydrol_soil_smooth_over_mcs2(kjpindex, ins, njsc, is_over_mcs, rudr_corr, check)
+  SUBROUTINE hydrol_soil_smooth_over_mcs2(mcs, kjpindex, ins, njsc, is_over_mcs, rudr_corr, check)
 
     !- arguments
@@ -5519,5 +5455,6 @@
 
     !! 0.1 Input variables
-
+    !salma: added mcs
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)        :: mcs             !! Saturated volumetric water content (m^{3} m^{-3})
     INTEGER(i_std), INTENT(in)                           :: kjpindex        !! Domain size
     INTEGER(i_std), INTENT(in)                           :: ins             !! Soiltile index (1-nstm, unitless)
@@ -5562,5 +5499,5 @@
     DO jsl = 1, nslm
        DO ji=1, kjpindex
-          excess(ji,jsl) = MAX(mc(ji,jsl,ins)-mcs(njsc(ji)),zero) ! >=0
+          excess(ji,jsl) = MAX(mc(ji,jsl,ins)-mcs(ji),zero) ! >=0
           mc(ji,jsl,ins) = mc(ji,jsl,ins) - excess(ji,jsl) ! here mc either does not change or decreases
        ENDDO
@@ -5796,6 +5733,6 @@
 !_ ================================================================================================================================
 !_ hydrol_soil_coef
- 
-  SUBROUTINE hydrol_soil_coef(kjpindex,ins,njsc)
+
+  SUBROUTINE hydrol_soil_coef(mcr, mcs, kjpindex,ins,njsc)
 
     IMPLICIT NONE
@@ -5804,5 +5741,7 @@
 
     !! 0.1 Input variables
-
+    !salma: added mcr and mcs
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)     :: mcr              !! Residual volumetric water content (m^{3} m^{-3})
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)     :: mcs              !! Saturated volumetric water content (m^{3} m^{-3})
     INTEGER(i_std), INTENT(in)                        :: kjpindex         !! Domain size
     INTEGER(i_std), INTENT(in)                        :: ins              !! Index of soil type
@@ -5836,14 +5775,14 @@
              ! It corresponds to a liquid mc, but the expression is different from mcl in hydrol_soil,
              ! to ensure that we get the a, b, d of the first bin when mcl<mcr
-             mc_used = mcr(njsc(ji))+x*MAX((mc(ji,jsl, ins)-mcr(njsc(ji))),zero) 
+             mc_used = mcr(ji)+x*MAX((mc(ji,jsl, ins)-mcr(ji)),zero) 
              !
              ! calcul de k based on mc_liq
              !
-             i= MAX(imin, MIN(imax-1, INT(imin +(imax-imin)*(mc_used-mcr(njsc(ji)))/(mcs(njsc(ji))-mcr(njsc(ji))))))
-             a(ji,jsl) = a_lin(i,jsl,njsc(ji)) * kfact_root(ji,jsl,ins) ! in mm/d
-             b(ji,jsl) = b_lin(i,jsl,njsc(ji)) * kfact_root(ji,jsl,ins) ! in mm/d
-             d(ji,jsl) = d_lin(i,jsl,njsc(ji)) * kfact_root(ji,jsl,ins) ! in mm^2/d
-             k(ji,jsl) = kfact_root(ji,jsl,ins) * MAX(k_lin(imin+1,jsl,njsc(ji)), &
-                  a_lin(i,jsl,njsc(ji)) * mc_used + b_lin(i,jsl,njsc(ji))) ! in mm/d
+             i= MAX(imin, MIN(imax-1, INT(imin +(imax-imin)*(mc_used-mcr(ji))/(mcs(ji)-mcr(ji)))))
+             a(ji,jsl) = a_lin(i,jsl,ji) * kfact_root(ji,jsl,ins) ! in mm/d
+             b(ji,jsl) = b_lin(i,jsl,ji) * kfact_root(ji,jsl,ins) ! in mm/d
+             d(ji,jsl) = d_lin(i,jsl,ji) * kfact_root(ji,jsl,ins) ! in mm^2/d
+             k(ji,jsl) = kfact_root(ji,jsl,ins) * MAX(k_lin(imin+1,jsl,ji), &
+                  a_lin(i,jsl,ji) * mc_used + b_lin(i,jsl,ji)) ! in mm/d
           ENDDO ! loop on grid
        ENDDO
@@ -5855,12 +5794,12 @@
              
              ! it is impossible to consider a mc<mcr for the binning
-             mc_ratio = MAX(mc(ji,jsl,ins)-mcr(njsc(ji)), zero)/(mcs(njsc(ji))-mcr(njsc(ji)))
+             mc_ratio = MAX(mc(ji,jsl,ins)-mcr(ji), zero)/(mcs(ji)-mcr(ji))
              
              i= MAX(MIN(INT((imax-imin)*mc_ratio)+imin , imax-1), imin)
-             a(ji,jsl) = a_lin(i,jsl,njsc(ji)) * kfact_root(ji,jsl,ins) ! in mm/d
-             b(ji,jsl) = b_lin(i,jsl,njsc(ji)) * kfact_root(ji,jsl,ins) ! in mm/d
-             d(ji,jsl) = d_lin(i,jsl,njsc(ji)) * kfact_root(ji,jsl,ins) ! in mm^2/d
-             k(ji,jsl) = kfact_root(ji,jsl,ins) * MAX(k_lin(imin+1,jsl,njsc(ji)), &
-                  a_lin(i,jsl,njsc(ji)) * mc(ji,jsl,ins) + b_lin(i,jsl,njsc(ji)))  ! in mm/d
+             a(ji,jsl) = a_lin(i,jsl,ji) * kfact_root(ji,jsl,ins) ! in mm/d
+             b(ji,jsl) = b_lin(i,jsl,ji) * kfact_root(ji,jsl,ins) ! in mm/d
+             d(ji,jsl) = d_lin(i,jsl,ji) * kfact_root(ji,jsl,ins) ! in mm^2/d
+             k(ji,jsl) = kfact_root(ji,jsl,ins) * MAX(k_lin(imin+1,jsl,ji), &
+                  a_lin(i,jsl,ji) * mc(ji,jsl,ins) + b_lin(i,jsl,ji))  ! in mm/d
           END DO 
        END DO
@@ -5887,5 +5826,5 @@
 !_ hydrol_soil_froz
  
-  SUBROUTINE hydrol_soil_froz(kjpindex,ins,njsc)
+  SUBROUTINE hydrol_soil_froz(nvan, avan, mcr, mcs, kjpindex,ins,njsc)
 
     IMPLICIT NONE
@@ -5894,4 +5833,9 @@
 
     !! 0.1 Input variables
+    !salma: added the following soil variables
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)     :: nvan             !! Van Genuchten coeficients n (unitless)
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)     :: avan             !! Van Genuchten coeficients a (mm-1})
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)     :: mcr              !! Residual volumetric water content (m^{3} m^{-3})
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)     :: mcs              !! Saturated volumetric water content (m^{3} m^{-3})
 
     INTEGER(i_std), INTENT(in)                        :: kjpindex         !! Domain size
@@ -5925,7 +5869,7 @@
           DO ji=1,kjpindex
              ! Van Genuchten parameter for thermodynamical calculation
-             m = 1. -1./nvan(njsc(ji))
+             m = 1. -1./nvan(ji)
            
-             IF ((.NOT. ok_thermodynamical_freezing).OR.(mc(ji,jsl, ins).LT.(mcr(njsc(ji))+min_sechiba))) THEN
+             IF ((.NOT. ok_thermodynamical_freezing).OR.(mc(ji,jsl, ins).LT.(mcr(ji)+min_sechiba))) THEN
                 ! Linear soil freezing or soil moisture below residual
                 IF (temp_hydro(ji, jsl).GE.(ZeroCelsius+fr_dT/2.)) THEN
@@ -5944,8 +5888,8 @@
                      (temp_hydro(ji,jsl) .LT. (ZeroCelsius+fr_dT/2.)) ) THEN
                    ! Factor 2.2 from the PhD of Isabelle Gouttevin
-                   x=MIN(((mcs(njsc(ji))-mcr(njsc(ji))) &
-                        *((2.2*1000.*avan(njsc(ji))*(ZeroCelsius+fr_dT/2.-temp_hydro(ji, jsl)) &
-                        *lhf/ZeroCelsius/10.)**nvan(njsc(ji))+1.)**(-m)) / &
-                        (mc(ji,jsl, ins)-mcr(njsc(ji))),1._r_std)                
+                   x=MIN(((mcs(ji)-mcr(ji)) &
+                        *((2.2*1000.*avan(ji)*(ZeroCelsius+fr_dT/2.-temp_hydro(ji, jsl)) &
+                        *lhf/ZeroCelsius/10.)**nvan(ji)+1.)**(-m)) / &
+                        (mc(ji,jsl, ins)-mcr(ji)),1._r_std)                
                 ELSE
                    x=0._r_std 
@@ -5955,5 +5899,5 @@
              profil_froz_hydro_ns(ji,jsl,ins) = 1._r_std-x
              
-             mc_ns(ji,jsl)=mc(ji,jsl,ins)/mcs(njsc(ji))
+             mc_ns(ji,jsl)=mc(ji,jsl,ins)/mcs(ji)
 
           ENDDO ! loop on grid
@@ -6397,5 +6341,5 @@
 !_ hydrol_diag_soil
 
-  SUBROUTINE hydrol_diag_soil (kjpindex, veget_max, soiltile, njsc, runoff, drainage, &
+  SUBROUTINE hydrol_diag_soil (ks, nvan, avan, mcr, mcs, mcfc, mcw, kjpindex, veget_max, soiltile, njsc, runoff, drainage, &
        & evapot, vevapnu, returnflow, reinfiltration, irrigation, &
        & shumdiag,shumdiag_perma, k_litt, litterhumdiag, humrel, vegstress, drysoil_frac, tot_melt)
@@ -6406,4 +6350,12 @@
 
     !! 0.1 Input variables
+    !salma: added the following soil variables
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)            :: ks               !! Hydraulic conductivity at saturation (mm {-1})
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)            :: nvan             !! Van Genuchten coeficients n (unitless)
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)            :: avan             !! Van Genuchten coeficients a (mm-1})
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)            :: mcr              !! Residual volumetric water content (m^{3} m^{-3})
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)            :: mcs              !! Saturated volumetric water content (m^{3} m^{-3})
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)            :: mcfc             !! Volumetric water content at field capacity (m^{3} m^{-3})
+    REAL(r_std),DIMENSION (kjpindex), INTENT (in)            :: mcw              !! Volumetric water content at wilting point (m^{3} m^{-3})
 
     ! input scalar 
@@ -6558,5 +6510,5 @@
              i= MAX(MIN(INT((imax-imin)*tmc_litter_ratio)+imin, imax-1), imin)
           ENDIF       
-          k_tmp = MAX(k_lin(i,1,njsc(ji))*ks(njsc(ji)), zero)
+          k_tmp = MAX(k_lin(i,1,ji)*ks(ji), zero)
           k_litt(ji) = k_litt(ji) + vegtot(ji)*soiltile(ji,jst) * SQRT(k_tmp) ! grid-cell average
        ENDDO      
@@ -6630,5 +6582,5 @@
           DO ji=1,kjpindex
              shumdiag(ji,jsl) = shumdiag(ji,jsl) + soil_wet_ns(ji,jsl,jst) * soiltile(ji,jst) * &
-                               ((mcs(njsc(ji))-mcw(njsc(ji)))/(mcfc(njsc(ji))-mcw(njsc(ji))))
+                               ((mcs(ji)-mcw(ji))/(mcfc(ji)-mcw(ji)))
              shumdiag(ji,jsl) = MAX(MIN(shumdiag(ji,jsl), un), zero) 
           ENDDO
@@ -6641,5 +6593,5 @@
     DO jsl=1,nslm              
        DO ji=1,kjpindex
-          shumdiag_perma(ji,jsl) = soilmoist(ji,jsl) / (dh(jsl)*mcs(njsc(ji)))
+          shumdiag_perma(ji,jsl) = soilmoist(ji,jsl) / (dh(jsl)*mcs(ji))
           shumdiag_perma(ji,jsl) = MAX(MIN(shumdiag_perma(ji,jsl), un), zero) 
        ENDDO
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/sechiba.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/sechiba.f90	(revision 6594)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/sechiba.f90	(revision 6954)
@@ -18,5 +18,7 @@
 !! which is called before the modules which calculate them.
 !! 
-!! RECENT CHANGE(S): None 
+!! RECENT CHANGE(S): November 2020: It is possible to define soil hydraulic parameters from maps,
+!!                    as needed for the SP-MIP project (Tafasca Salma and Ducharne Agnes).
+!!                    Here, it leads to declare and allocate global variables. 
 !! 
 !! REFERENCE(S) : None
@@ -113,4 +115,24 @@
   REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)    :: reinf_slope    !! slope coefficient (reinfiltration) 
 !$OMP THREADPRIVATE(reinf_slope)
+
+
+!salma: adding soil hydraulic params
+  REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)     :: ks              !! Saturated soil conductivity (mm d^{-1})
+!$OMP THREADPRIVATE(ks)
+  REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)     :: nvan            !! Van Genushten n parameter (unitless)
+!$OMP THREADPRIVATE(nvan)
+  REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)     :: avan            !! Van Genushten alpha parameter (mm ^{-1})
+!$OMP THREADPRIVATE(avan)
+  REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)     :: mcr             !! Residual soil moisture (m^{3} m^{-3})
+!$OMP THREADPRIVATE(mcr)
+  REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)     :: mcs             !! Saturated soil moisture (m^{3} m^{-3})
+!$OMP THREADPRIVATE(mcs)
+  REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)     :: mcfc            !! Volumetric water content at field capacity (m^{3} m^{-3})
+!$OMP THREADPRIVATE(mcfc)
+  REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:)     :: mcw             !! Volumetric water content at wilting point (m^{3} m^{-3})
+!$OMP THREADPRIVATE(mcw)
+!end salma:adding soil hydraulic params
+
+
   REAL(r_std), ALLOCATABLE, SAVE, DIMENSION (:,:)  :: shumdiag       !! Mean relative soil moisture in the different levels used 
                                                                      !! by thermosoil.f90 (unitless, 0-1)
@@ -431,5 +453,7 @@
                               index,         indexveg,     lalo,           neighbours,        &
                               resolution,    contfrac,     temp_air,                          &
-                              soiltile,      reinf_slope,  deadleaf_cover, assim_param,       &
+                              soiltile,      reinf_slope,  ks,             nvan,              &
+                              avan,          mcr,          mcs,            mcfc,              &
+                              mcw,           deadleaf_cover,               assim_param,       &
                               lai,           frac_age,     height,         veget,             &
                               frac_nobio,    njsc,         veget_max,      fraclut,           &
@@ -451,5 +475,6 @@
     
     !! 1.7 Initialize remaining hydrological variables
-    CALL hydrol_initialize ( kjit,           kjpindex,  index,         rest_id,          &
+    CALL hydrol_initialize (ks,  nvan, avan, mcr, mcs, mcfc, mcw,    &
+         kjit,           kjpindex,  index,         rest_id,          &
          njsc,           soiltile,  veget,         veget_max,        &
          humrel,         vegstress, drysoil_frac,                    &
@@ -718,5 +743,5 @@
     !! 4. Compute hydrology
     !! 4.1 Water balance from CWRR module (11 soil layers)
-    CALL hydrol_main (kjit, kjpindex, &
+    CALL hydrol_main (ks,  nvan, avan, mcr, mcs, mcfc, mcw, kjit, kjpindex, &
          & index, indexveg, indexsoil, indexlayer, indexnslm, &
          & temp_sol_new, floodout, runoff, drainage, frac_nobio, totfrac_nobio, vevapwet, veget, veget_max, njsc, &
@@ -1373,4 +1398,6 @@
                             njsc,       lai,       height,   veget,      &
                             frac_nobio, veget_max, reinf_slope,          &
+                            ks,         nvan,      avan,     mcr,        &
+                            mcs,        mcfc,      mcw,                  &
                             co2_to_bm,  assim_param, frac_age)
     
@@ -1530,4 +1557,30 @@
     ALLOCATE (reinf_slope(kjpindex),stat=ier)
     IF (ier /= 0) CALL ipslerr_p(3,'sechiba_init','Pb in alloc for reinf_slope','','')
+
+    !salma: adding soil params
+    ALLOCATE (ks(kjpindex),stat=ier)
+    IF (ier /= 0) CALL ipslerr_p(3,'sechiba_init','Pb in alloc for ks','','')
+
+    ALLOCATE (nvan(kjpindex),stat=ier)
+    IF (ier /= 0) CALL ipslerr_p(3,'sechiba_init','Pb in alloc for nvan ','','')
+
+    ALLOCATE (avan(kjpindex),stat=ier)
+    IF (ier /= 0) CALL ipslerr_p(3,'sechiba_init','Pb in alloc for avan','','')
+
+    ALLOCATE (mcr(kjpindex),stat=ier)
+    IF (ier /= 0) CALL ipslerr_p(3,'sechiba_init','Pb in alloc for mcr','','')
+
+    ALLOCATE (mcs(kjpindex),stat=ier)
+    IF (ier /= 0) CALL ipslerr_p(3,'sechiba_init','Pb in alloc for mcs','','')
+
+    ALLOCATE (mcfc(kjpindex),stat=ier)
+    IF (ier /= 0) CALL ipslerr_p(3,'sechiba_init','Pb in alloc for mcfc','','')
+    
+    ALLOCATE (mcw(kjpindex),stat=ier)
+    IF (ier /= 0) CALL ipslerr_p(3,'sechiba_init','Pb in alloc for mcw','','')
+    !end salma: adding soil params
+
+
+
 
     ALLOCATE (vbeta1(kjpindex),stat=ier)
@@ -1877,4 +1930,15 @@
     IF ( ALLOCATED (njsc)) DEALLOCATE (njsc)
     IF ( ALLOCATED (reinf_slope)) DEALLOCATE (reinf_slope)
+
+    !salma: adding soil hydraulic params
+    IF ( ALLOCATED (ks)) DEALLOCATE (ks)
+    IF ( ALLOCATED (nvan)) DEALLOCATE (nvan)
+    IF ( ALLOCATED (avan)) DEALLOCATE (avan)
+    IF ( ALLOCATED (mcr)) DEALLOCATE (mcr)
+    IF ( ALLOCATED (mcs)) DEALLOCATE (mcs)
+    IF ( ALLOCATED (mcfc)) DEALLOCATE (mcfc)
+    IF ( ALLOCATED (mcw)) DEALLOCATE (mcw)
+    !end salma: adding soil hydraulic params
+
     IF ( ALLOCATED (vbeta1)) DEALLOCATE (vbeta1)
     IF ( ALLOCATED (vbeta4)) DEALLOCATE (vbeta4)
